10 DECLARE EXTERNAL FUNCTION YesNoBox$
20 SELECT CASE YesNoBox$("実行しますか")
30 CASE "Y"
40    PRINT "実行します"
50 CASE "N"
60    PRINT "実行を取りやめます"
70 END SELECT
80 END
EXTERNAL FUNCTION YesNoBox$(s$)
   REM s$で指定した文字列と，「はい(Y)」と「いいえ(N)」のボタンを表示して応答を待つ。
   REM 結果は"Y","N"のいずれかになる。
   FUNCTION MessageBox(hwnd,text$,capt$,type)
      ASSIGN "user32.dll","MessageBoxA"
   END FUNCTION
   SELECT CASE MessageBox(WinHandle("MAIN"), ANSI$(s$),ANSI$("問い合わせ"), BVAL("42024",16))
   CASE 6
      LET YesNoBox$="Y"
   CASE 7
      LET YesNoBox$="N"
   END SELECT
END FUNCTION

EXTERNAL FUNCTION AbortRetryBox$(s$)
   REM s$で指定した文字列と，「中止(A)」,「再試行(R)」，「無視(I)」のボタンを表示して応答を待つ。
   REM 結果は"A","R","I"のいずれかになる。
   FUNCTION MessageBox(hwnd,text$,capt$,type)
      ASSIGN "user32.dll","MessageBoxA"
   END FUNCTION
   SELECT CASE MessageBox(WinHandle("MAIN"), ANSI$(s$), ANSI$("エラー"), BVAL("42012",16))
   CASE 3
      LET AbortRetryBox$="A"
   CASE 4
      LET AbortRetryBox$="R"
   CASE 5
      LET AbortRetryBox$="I"
   END SELECT
END FUNCTION

